Skip to main content
PUT
/
api2
/
v1
/
projects
/
{projectUid}
/
accessSettings
Edit access and security settings
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/accessSettings \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emailNotifications": true,
  "linguistsMayEditLockedSegments": true,
  "linguistsMayEditTagContent": true,
  "linguistsMaySetAutoPropagation": true,
  "showUserDataToLinguists": true,
  "strictWorkflowFinish": true,
  "translationMemoryDownloadEnabled": true,
  "triggerWebhooks": true,
  "useVendors": true,
  "webEditorEnabledForLinguists": true
}
'
{
  "downloadEnabled": true,
  "emailNotifications": true,
  "linguistsMayEditLockedSegments": true,
  "linguistsMayEditTagContent": true,
  "linguistsMaySetAutoPropagation": true,
  "showUserDataToLinguists": true,
  "strictWorkflowFinish": true,
  "useVendors": true,
  "webEditorEnabledForLinguists": true
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

UID of the project

Body

application/json

Security settings to apply

emailNotifications
boolean

Default: false

linguistsMayEditLockedSegments
boolean

Default: false

linguistsMayEditTagContent
boolean

Default: true

linguistsMaySetAutoPropagation
boolean

Default: true

showUserDataToLinguists
boolean

Default: false

strictWorkflowFinish
boolean

Default: false

translationMemoryDownloadEnabled
boolean

Default: false

triggerWebhooks
boolean

Default: true

useVendors
boolean

Default: false

webEditorEnabledForLinguists
boolean

Default: false

Response

OK

downloadEnabled
boolean

When true, linguists may download the translation memory as a TMX file

emailNotifications
boolean

When true, email notifications are sent to linguists on job assignment

linguistsMayEditLockedSegments
boolean

When true, linguists may edit segments that are locked

linguistsMayEditTagContent
boolean

When true, linguists may edit the text content inside tags

linguistsMaySetAutoPropagation
boolean

When true, linguists may toggle auto-propagation of translations

showUserDataToLinguists
boolean

When true, linguists can see other users' names and email addresses on the project

strictWorkflowFinish
boolean

When true, linguists must complete all segments before finishing a workflow step

useVendors
boolean

When true, the project may be shared with a vendor

webEditorEnabledForLinguists
boolean

When true, linguists may open jobs in the web editor